Index: in-commerce/units/affiliates/affiliates_event_handler.php
===================================================================
--- in-commerce/units/affiliates/affiliates_event_handler.php	(revision 15061)
+++ in-commerce/units/affiliates/affiliates_event_handler.php	(working copy)
@@ -476,6 +476,10 @@
 		 */
 		function OnResetStatistics(&$event)
 		{
+			if ( defined('IS_INSTALL') && IS_INSTALL ) {
+				return;
+			}
+
 			$intervals = Array (86400 => 'la_day', 604800 => 'la_week', 2628000 => 'la_month', 7884000 => 'la_quartely', 31536000 => 'la_year');
 
 			$affiliates_table = $this->Application->getUnitOption($event->Prefix, 'TableName');
Index: in-news/units/articles/articles_event_handler.php
===================================================================
--- in-news/units/articles/articles_event_handler.php	(revision 15063)
+++ in-news/units/articles/articles_event_handler.php	(working copy)
@@ -66,6 +66,10 @@
 		 */
 		function OnUpdateRSSArticles(&$event)
 		{
+			if ( defined('IS_INSTALL') && IS_INSTALL ) {
+				return;
+			}
+
 			$category_table = $this->Application->getUnitOption('c', 'TableName');
 			$custom_table = $this->Application->getUnitOption('c-cdata', 'TableName');
 
